#!/bin/tcsh -v

# invokes command supplied by the first argument on every file and directory (recursively)
# command takes a file as argument
# this script and the command must be known to the system, it must be placed in a directory of the PATH,
# otherwise they cannot be called recursively on all subdirectories  

#echo 'start script forallfiles'

if ($#argv == 0 ) then
    set COMMAND=sed_arg.csh
    echo "No arguments supplied: we use $COMMAND"
else 
    set COMMAND=$argv[1]
endif

foreach file ( `dir` )
 
  if (-d $file) then
    cd $file
    echo "Executing <$COMMAND> on directory <$file>:"
    forallfiles.csh $COMMAND 
    cd ..
  else 
    if (-e $file) then
        set NBR = `echo $file | grep ".html" | wc -l `   # ONLY html files
        if $NBR[1] > 0 then
#	   echo "executing $COMMAND on file $file ..."
    	   $COMMAND $file
        endif
    endif
  endif
end

rm 0     # for one reason or another this file is generated 

#echo 'end script forallfiles' 


